Profiles¶
Use /profiles to retrieve paperless billing and automatic payment settings provided during account creation or by logging into WM portal
URI¶
GET /api/v1/customers/{customerId}/profiles
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| profiles | Object | Contains customer profile details such as log on information, auto pay information |
| id | String | Unique profile identifier |
| paperless_invoice | Boolean | Paperless Enabled Flag (true/false) |
| auto_pay | Boolean | Automatic paymnet enrollment Flag(true/false) |
| logon_status | String | Customer login status into WM.com |
| first_name | String | First name |
| last_name | String | Last name |
| String | Email address on account | |
| last_login_date | String | Last Login Date and Time into WM.com |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/profiles
Sample Response¶
{ "profiles": [{ "id": "1041279930086984565|E", "paperless_invoice": "true", "auto_pay": "true", "logon_status": "Y", "first_name": "JOHN", "last_name": "SMITH", "email": "ggdfsf@apple.COM", "last_login_date": "2014-05-21T15:41:52.000-05:00" }]}